Package org.jcsp.lang

# Interface RejectableChannel

All Known Implementing Classes:
  `RejectableBufferedOne2AnyChannel`, `RejectableBufferedOne2OneChannel`, `RejectableOne2AnyChannel`, `RejectableOne2OneChannel`

public interface RejectableChannel
Deprecated.
This channel is superceded by the poison mechanisms, please see `PoisonException`. It remains only because it is used by some of the networking features.
Defines an interface for a channel that allows readers to either accept (`read`) or `reject` data offered by the writer.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`RejectableChannelInput`
`in()`
Deprecated.
`RejectableChannelOutput`
`out()`
Deprecated.

## Method Details

### in

RejectableChannelInput in()
Deprecated.

### out

RejectableChannelOutput out()
Deprecated.